Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Interface TAG_ALTERNATE_IIOP_ADDRESS

    public interface TAG_ALTERNATE_IIOP_ADDRESS

org/omg/IOP/TAG_ALTERNATE_IIOP_ADDRESS.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, August 13, 2008 11:31:58 AM GMT-08:00

Field Summary
`static int` | `value` In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

Field Detail

### value

    static final int value

  In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

  The `TAG_ALTERNATE_IIOP_ADDRESS` component has an associated value of type: ``

           struct {
               string HostID,
               short Port
           };

  encoded as a CDR encapsulation.

  Zero or more instances of the `TAG_ALTERNATE_IIOP_ADDRESS` component type may be included in a version 1.2 `TAG_INTERNET_IOP` Profile. Each of these alternative addresses may be used by the client orb, in addition to the host and port address expressed in the body of the Profile. In cases where one or more `TAG_ALTERNATE_IIOP_ADDRESS` components are present in a `TAG_INTERNET_IOP` Profile, no order of use is prescribed by Version 1.2 of IIOP.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.